
QGIS Application - Bug report #20236

Identify tool does not open feature form when used on Sqlite views (loaded as layers)
Status: Open

Priority: Normal

Assignee:

Category: Map Tools

Affected QGIS version:3.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 28057

Description

Basically, if an SQL query (one with geometry) is saved as a view, then loaded as a layer, the identify tool selects the feature

appropriately, but does not open the feature form.

Obviously it can't open it for editing, as views are read-only, but this is inconsistent with the action on other layers which are locked for

editing where the tool still opens a read-only version of the form.

If the identify tool opens the side-bar (usually because it has selected more than one feature), all the data is there.

If the attribute table is opened in form view, all the data is there.

The properties dialogue for the layer allows form design.

All this seems inconsistent with the behaviour of the identify tool.

History

#1 - 2018-10-27 09:51 AM - Saber Razmjooei

- Category changed from Forms to Map Tools

#2 - 2018-10-27 09:59 AM - Saber Razmjooei

- Affected QGIS version changed from 3.2.3 to 3.4.0

- Status changed from Open to Feedback

Please try in 3.4 and report back.

#3 - 2018-10-27 04:58 PM - Giovanni Manghi

- Affected QGIS version changed from 3.4.0 to 3.2.3

#4 - 2018-10-30 10:20 AM - Dan Isaacs

Tested in 3.4 issue is still there. A workaround is to create another layer with identical geometry and join it to the view. As a workaround exists, I suggest

perhaps a low priority.

#5 - 2018-10-30 05:02 PM - Giovanni Manghi

- Affected QGIS version changed from 3.2.3 to 3.4.0

- Status changed from Feedback to Open
